手机版
你好,游客 登录 注册
背景:
阅读新闻

Canonical为Ubuntu 19.10和18.04 LTS发布重要内核安全更新

[日期:2019-12-04] 来源:Linux公社  作者:醉落红尘 [字体: ]

Canonical为所有受支持的Ubuntu Linux操作系统系列发布了重要的内核安全更新,以解决多达15个安全漏洞。

2019年12月发布的最大内核安全补丁程序适用于Ubuntu 19.10(Eoan Ermine)和Ubuntu 18.04 LTS(Bionic Beaver),并修复了12个影响Linux 5.3的OverlayFS和ShiftFS驱动程序,Wi-Fi驱动程序堆栈,ARM Komeda显示驱动程序的漏洞,VirtualBox来宾驱动程序实施,ADIS16400 IIO IMU驱动程序和英特尔OPA Gen1 Infiniband驱动程序。

在此新的内核安全更新中,还解决了在AMD音频协处理器驱动程序,Qualcomm FastRPC驱动程序,Cascoda CA8210 SPI 802.15.4无线控制器驱动程序,AMD Display Engine驱动程序和Chelsio T4/T5 RDMA驱动程序中发现的问题。这些缺陷中的大多数都可能允许本地攻击者拒绝服务(内存耗尽或系统崩溃)。

新的内核安全补丁会影响Ubuntu 19.04(Disco Dingo)和Ubuntu 18.04.3 LTS(Bionic Beaver)版本的Linux 5.0内核,修复了在802.11 Wi-Fi配置界面中发现的缓冲区溢出,该漏洞可能使本地攻击者能够导致拒绝服务(系统崩溃)或可能执行任意代码,并在Netronome NFP4000/NFP6000 NIC驱动程序的高级缓冲区管理功能中发现内存泄漏。

敦促用户立即更新其系统

对于Ubuntu 16.04 LTS(Xenial Xerus)操作系统系列中的Linux 4.4内核,还修复了CFS Linux内核进程调度程序中发现的无限循环,该循环可能允许本地攻击者导致拒绝服务。敦促用户尽快将其安装更新到主归档文件中可用的新内核版本。

新的Linux内核版本是适用于Ubuntu 19.10的linux-image 5.3.0-24.26,适用于Ubuntu 19.04的linux-image 5.0.0-37.40,适用于Ubuntu 18.04.3 LTS的linux-image 5.0.0-37.40〜18.04.1,适用于Ubuntu 18.04 LTS的-image 4.15.0-72.81,适用于Ubuntu 16.04.6 LTS的linux-image 4.15.0-72.81〜16.04.1和适用于Ubuntu 16.04 LTS的linux-image 4.4.0-170.199。要更新您的系统,请参考https://www.linuxidc.com/Linux/2019-06/159093.htm说明进行操作。

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-12/161650.htm

linux
相关资讯       Ubuntu内核安全更新 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款